<?php
// Newsportal Magazine Functions goes here

define('MAGAZINEPLUS_VERSION', '1.0.1');


//Tab Widget
add_action('magazinenp_include_widgets', 'magazineplus_include_widgets');
add_action('magazinenp_init_widgets', 'magazineplus_init_widgets');

function magazineplus_include_widgets()
{
	require get_stylesheet_directory() . '/inc/widgets/tabs.php'; //Tab Widgets
}

function magazineplus_init_widgets()
{
	if (class_exists('Magazineplus_Tab')) {
		register_widget('Magazineplus_Tab');
	}

}

function newsportal_magazine_scripts()
{

	wp_register_script('magazineplus-easytabs', get_stylesheet_directory_uri() . '/assets/vendor/easy-tabs/jquery.easytabs.js', array(), esc_attr(MAGAZINEPLUS_VERSION), true);
	wp_enqueue_script('magazineplus-script-main', get_stylesheet_directory_uri() . '/assets/js/main.js', array('magazineplus-easytabs'), esc_attr(MAGAZINEPLUS_VERSION), true);

}

add_action('wp_enqueue_scripts', 'newsportal_magazine_scripts');

if (!function_exists('newsportal_magazine_setup')) :

	function newsportal_magazine_setup()
	{


		add_image_size('magazineplus-tab-thumbnail', 136, 102, true);
		/*
		   * Enable support for Post Thumbnails on posts and pages.
		   *
		   * @link https://developer.wordpress.org/themes/functionality/featured-images-post-thumbnails/
		   */
		add_theme_support('post-thumbnails');

		/**
		 * Loads the child theme textdomain.
		 */
		load_child_theme_textdomain('magazineplus', get_stylesheet_directory() . '/languages');

	}

endif;
add_action('after_setup_theme', 'newsportal_magazine_setup');
